struct cpuinfo_x86 has no struct cpu_stepping

If you have trouble with PHC you can ask and hope for help here.
Post Reply
133794m3r
Posts: 1
Joined: Tue 5. Jun 2018, 20:34

struct cpuinfo_x86 has no struct cpu_stepping

Post by 133794m3r » Tue 5. Jun 2018, 21:33

I tried to compile both the 3.2 version and the 4.0 version neither of them will compile. I know I have to disable intel's P_STATE driver to have phc work but i was trying to compile it and it won't do it.

Linux sager-laptop 4.9.0-6-amd64 #1 SMP Debian 4.9.82-1+deb9u3 (2018-03-02) x86_64 GNU/Linux

I have linux headers installed and the header common files also installed.

Code: Select all

make -C /lib/modules/`uname -r`/build SUBDIRS=/tmpdownload/phc-intel-pack-rev27 modules
make[1]: Entering directory '/usr/src/linux-headers-4.9.0-6-amd64'
  CC [M]  /tmpdownload/phc-intel-pack-rev27/phc-intel.o
In file included from /usr/src/linux-headers-4.9.0-6-common/include/linux/kconfig.h:4:0,
                 from <command-line>:0:
./include/generated/autoconf.h:629:0: warning: "CONFIG_ENABLE_MUST_CHECK" redefined
 #define CONFIG_ENABLE_MUST_CHECK 1
 
<command-line>:0:0: note: this is the location of the previous definition
In file included from /usr/src/linux-headers-4.9.0-6-common/include/linux/kconfig.h:4:0,
                 from <command-line>:0:
./include/generated/autoconf.h:1127:0: warning: "CONFIG_ENABLE_WARN_DEPRECATED" redefined
 #define CONFIG_ENABLE_WARN_DEPRECATED 1
 
<command-line>:0:0: note: this is the location of the previous definition
/tmpdownload/phc-intel-pack-rev27/phc-intel.c: In function ‘acpi_cpufreq_blacklist’:
/tmpdownload/phc-intel-pack-rev27/phc-intel.c:667:9: error: ‘struct cpuinfo_x86’ has no member named ‘x86_stepping’; did you mean ‘x86_tlbsize’?
       (c->x86_stepping == 8)) {
         ^~
I can't use the newer ones as my cpu is a sandybridge part which means phc is the only option I have for undervolting.

lio
Posts: 83
Joined: Wed 2. Mar 2011, 18:37

Re: struct cpuinfo_x86 has no struct cpu_stepping

Post by lio » Wed 6. Jun 2018, 16:31

Looks like you ran into the issue mentioned as a warning in http://www.linux-phc.org/forum/viewtopic.php?f=7&t=267 I dropped the warning earlier, because the affected kernels where superseded - Looks like I'll keep it around a little bit longer.

Lio

Post Reply